package  
{
	import fl.controls.Button;
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	import flash.net.FileReference;
	import org.alivepdf.display.Display;
	import org.alivepdf.layout.Layout;
	import org.alivepdf.layout.Orientation;
	import org.alivepdf.layout.Size;
	import org.alivepdf.layout.Unit;
	import org.alivepdf.pages.Page;
	import org.alivepdf.saving.Method;
	
	/**
	 * alivepdf_paged
	 * @author seigo
	 */
	public class Main extends MovieClip 
	{
		import org.alivepdf.pdf.PDF;
		
		public var pages:MovieClip;
		
		public var BtnPagedPrint:Button;
		
		public function Main() 
		{
			BtnPagedPrint.addEventListener( MouseEvent.CLICK , handlerSavePDF );
		}
		
		public function handlerSavePDF ( e:MouseEvent ):void
		{
			// インスタンスを生成 ページはA4で横 単位はMM指定
			var pagedPDF:PDF = new PDF(Orientation.LANDSCAPE, Unit.MM, Size.A4);
			
			// 表示設定　全画面表示
			pagedPDF.setDisplayMode(Display.FULL_PAGE, Layout.SINGLE_PAGE);
			
			// _________________________________________________ ページ生成
			
			var bmp:Bitmap;
			var page:PageTemplate;
			
			//　PDFのページを追加 1ページ目
			pagedPDF.addPage();  // ページを作り始めるよという宣言
			page = new PageTemplate;  // ページテンプレートをリンケージから読み込む
			bmp = new Bitmap;
			bmp.bitmapData = new photo1;  // リンケージからphoto1を呼び出し
			page.photo.addChild( bmp );
			page.photo.scaleX = page.photo.scaleY = 0.5;  // 1024x768の画像を640x480にリサイズ(50%)
			page.txtInfo.text = "- 1 -";  // ページ数設定
			pagedPDF.addImage( page );
			
			//　PDFのページを追加 2ページ目
			pagedPDF.addPage(); 
			page = new PageTemplate;
			bmp = new Bitmap;
			bmp.bitmapData = new photo2;  // リンケージからphoto2を呼び出し
			page.photo.addChild( bmp );
			page.photo.scaleX = page.photo.scaleY = 0.5;
			page.txtInfo.text = "- 2 -";
			pagedPDF.addImage( page );
			
			//　PDFのページを追加 3ページ目
			pagedPDF.addPage(); 
			page = new PageTemplate;
			bmp = new Bitmap;
			bmp.bitmapData = new photo3;  // リンケージからphoto3を呼び出し
			page.photo.addChild( bmp );
			page.photo.scaleX = page.photo.scaleY = 0.5;
			page.txtInfo.text = "- 3 -";
			pagedPDF.addImage( page );
			
			//　PDFのページを追加 4ページ目
			pagedPDF.addPage(); 
			page = new PageTemplate;
			bmp = new Bitmap;
			bmp.bitmapData = new photo4;  // リンケージからphoto4を呼び出し
			page.photo.addChild( bmp );
			page.photo.scaleX = page.photo.scaleY = 0.5;
			page.txtInfo.text = "- 4 -";
			pagedPDF.addImage( page );
			
			//　PDFのページを追加 5ページ目
			pagedPDF.addPage(); 
			page = new PageTemplate;
			bmp = new Bitmap;
			bmp.bitmapData = new photo5;  // リンケージからphoto5を呼び出し
			page.photo.addChild( bmp );
			page.photo.scaleX = page.photo.scaleY = 0.5;
			page.txtInfo.text = "- 5 -";
			pagedPDF.addImage( page );
			
			// _________________________________________________ save FileReference
			
			// ページ保存 FLASH単体で保存できる
			var fr:FileReference = new FileReference();
			fr.save ( pagedPDF.save ( Method.LOCAL ), "alivepdf_paged.pdf" );
			
		}
	}

}